import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class KwentaContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    kwentaEscrow({ address, network }: ContractOpts): import("./ethers").KwentaEscrow;
    kwentaStaking({ address, network }: ContractOpts): import("./ethers").KwentaStaking;
}
export type { KwentaEscrow } from './ethers';
export type { KwentaStaking } from './ethers';
